/* app css stylesheet */

:root {

    --turquoise: #16a7c3;
    --coral: #ae2b09;
    --silver: #d3cfcc;
    --font-body: Verdana, Geneva, Arial, Helvetica, sans-serif;
    --font-head: Cormorant SC, serif;
}

md-progress-circular.md-default-theme path, md-progress-circular path {
    stroke:#16a7c3;
    position: relative;
    z-index: 1000;
}

html {
  height:100%;
}

body {
    margin: 0px;
    padding: 20px;
    font-family: var(--font-body);
    font-size: 10pt;
    height:auto;    /* necessary for sticky header--100% doesn't work!!! */
    color:grey; /*  #808080;    */
    overflow-x: hidden; /* hides horizontal scroll bar */
}

/*  header  */

.header {
    display: grid;
    grid-template-columns: 30% auto 320px;
}

.banner {
    grid-column: 1 / span 3;
    grid-row: 1;
    background-color: grey;
}

.artist {
    grid-column: 1;
    grid-row: 2;
    white-space: nowrap;
}

.links {
    grid-column: 2;
    grid-row: 2;
    white-space: nowrap;
    justify-items: end;
}
.buttons {
    grid-column: 3;
    grid-row: 2;
    white-space: nowrap;
    justify-items: end;
}

.pad {
    padding: 20px 0 10px 10px;
    margin-bottom: 10px;
}

/*  end header  */

/*  pivot-window    */

.pivot-window-container {
    width: 100%;
    height: 100%;
    position: relative;
    margin: 0 auto;
    transform-style: preserve-3d;
    transition: transform 1.5s ease-in-out;
    transform: rotateY(0deg);
    cursor: pointer;
}

.pivot-window {
    position: absolute; /* required for pivot but breaks fixed header! */
    backface-visibility: hidden;
}

.pivot-window-front {
    transform: translateZ(20px);
}

.pivot-window-back {
    transform: rotateY(180deg) translateZ(20px);
}
/*  end pivot window    */

/*  image-slider    */

.image-slider__viewport {
    overflow: hidden;
    position: relative;
    width: 100%;
    height: 100%;
}

.image-slider__container {
    display: flex;
    align-items: center;
    justify-content: center;
    height: auto;
    transition: all 0.4s ease-in-out;
}

.image-slider__container div {
    width: 100%;
    justify-content: center;
    display: flex;
}

.image-slider__container img {
    width: 100%;
    height: auto;
    max-width: 300px;
}

/*  end image slider    */

select, input, textarea {
    color: grey;
}
ul {
    margin: 0 0 0 25px;
    padding: 0;
    /*list-style-type: square;*/
}

li{
    list-style-image: url("data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAUAAAAFCAYAAACNbyblAAAAAXNSR0IArs4c6QAAABNJREFUGFdjFFt++D8DGmCkgSAA7boMgYiFFt0AAAAASUVORK5CYII=");
}

.parent {
    display: flex;
    align-items: center;  /* vertical alignment */
    justify-content: center; /* horizontal alignment (optional) */
    height: 300px; /* or any variable height */
    border: 1px solid #ccc; /* for visualization */
}

.child {
    /* No special styling needed for basic centering */
}
.heading {
    font-family: var(--font-head) ;
    font-weight: bold;
    font-size: 110%;
    color: var(--turquoise); /*  turquoise   */
}

.tooltip {
     position: relative;
     display: inline-block;
     //border-bottom: 1px dotted black;
     cursor: pointer;

}

.tooltip .tooltiptext {
    visibility: hidden;
    width: auto;
    background-color: var(--silver);
    color: var(--coral);
    text-align: center;
    border-radius: 6px;
    padding: 5px 10px;
    font-size: 10px;
    font-weight: normal;
    white-space: nowrap;

    /* Position the tooltip @ top */
    /*position: absolute;
    z-index: 1;
    top: -5px;
    left: 105%;*/

    /* Position the tooltip @ bottom */
    position: absolute;
    z-index: 1;
    top: 100%;
    left: 50%;
    margin-left: -60px;


}

.tooltip:hover .tooltiptext {
    visibility: visible;
}

.tooltip .imagetooltiptext {
    visibility: hidden;
    width: auto;
    background-color: var(--silver);
    color: var(--coral);
    text-align: center;
    border-radius: 6px;
    padding: 5px 10px;
    font-size: 10px;
    font-weight: normal;
    white-space: nowrap;

    /* Position the tooltip over image */
    position: absolute;
    z-index: 1000;
    top: 30%;
    left: 20%;
    margin-left: -0px;

}

.tooltip:hover .imagetooltiptext {
    visibility: visible;
}

.field-label {
    font-style: italic;
    /*font-weight: bold;*/
    color: var(--turquoise); /*  turquoise   */
}

.section-head {
    font-weight: bold;
    font-size: 10pt;
    color: var(--turquoise); /*  turquoise   */
}

.field {
    margin-bottom: 5px;
    margin-right: 20px;

}

/*  By default, a three-column table is configured here.
    Override inline for alternative configuration
    (e.g., style="grid-template-columns: auto auto auto; ")
 */
.container {
    display: grid;
    grid-template-columns: auto auto auto;
    padding: 10px;
    grid-auto-flow: dense;
}
.container > div {
    /*border: 1px solid black; */
    padding: 10px;
    text-align: left;
}

.block-quote {
    margin-left: 20px;
    border-left: 1px solid var(--turquoise);
    padding: 0 10px;
}

.button-turquoise {
    width: 140px;
    margin-left: 5px;
    border-radius: 6px;
    color:var(--silver);
    font-weight: bold;
    background-color:var(--turquoise);
    padding: 5px 0px;
    text-align: center;
    white-space: nowrap;
}

.button-coral-more {
    /*width: 140px; width determined by font-size and padding*/
    font-size: 12px;
    margin-left: 2px;
    border-radius: 6px;
    color:var(--silver);
    background-color:var(--coral);
    padding: 4px 8px;
    text-align: center;
    white-space: nowrap;
    cursor: pointer;
    box-shadow: inset 0 3em 3em rgba(0, 0, 0, 0.1), 0 0 0 2px rgb(255, 255, 255),
                    0.3em 0.3em 1em rgba(0, 0, 0, 0.3);
}

.button-turquoise-story {
    /*width: 40px; width determined by font-size and padding*/
    font-size: 12px;
    margin: 6px 2px;
    border-radius: 6px;
    color:var(--silver);
    font-weight: bold;
    background-color:var(--turquoise);
    padding: 4px 8px;
    text-align: center;
    white-space: nowrap;
    cursor: pointer;
    box-shadow: inset 0 3em 3em rgba(0, 0, 0, 0.1), 0 0 0 2px rgb(255, 255, 255),
                    0.3em 0.3em 1em rgba(0, 0, 0, 0.3);
}

.button-coral {
    width: 140px;
    margin-left: 5px;
    border-radius: 6px;
    color:var(--silver);
    font-weight: bold;
    background-color:var(--coral);
    padding: 5px 0px;
    text-align: center;
    white-space: nowrap;
}

.box-shadow-selected {
    box-shadow: inset 0 3em 3em rgba(0, 0, 0, 0.1), 0 0 0 2px rgb(255, 255, 255),
    0.3em 0.3em 1em rgba(0, 0, 0, 0.3);
}

.box-shadow-selectable {
    box-shadow: inset 0 3em 3em rgba(0, 0, 0, 0.1), 0 0 0 2px rgb(255, 255, 255),
    0.3em 0.3em 1em rgba(0, 0, 0, 4.0);
}

.div-shadow {
    box-shadow: inset 0 3em 3em rgba(0, 0, 0, 0.1), 0 0 0 2px rgb(255, 255, 255),
    0.3em 0.3em 1em rgba(0, 0, 0, 0.3);
}

.panel-shadow {
    box-shadow: inset 0 0.55em 0.55em rgba(0, 0, 0, 0.1), 0 0 0 2px rgb(255, 255, 255),
                    0.55em 0.55em 1em rgba(0, 0, 0, 0.3);
                {{edit && selected.item.number === dto.item.number ? 'border: black solid 1px' : ''}};
}

.header-shadow {
    /*box-shadow: 0 10px;*/
    box-shadow: 0 0.55em 0.55em -2px rgba(0,0,0,0.2);
}

.pointer-cursor {
    cursor: pointer;
}

.no-cursor {
    cursor: none;
}

.courier {
    font-family: "Courier New", Courier, monospace;
}

.custom-dialog-position {
    position: fixed !important;
    transform: none !important; /* disable default centering */
    top: 800px !important;  //  FIXME: this does not work
    //left: 200px !important;
}

a.trq-udl:link { color: var(--turquoise); text-decoration: underline; font-style: normal; }
a.trq-udl:visited { color: var(--turquoise); text-decoration: underline; font-style: normal; }
a.trq-udl:active { color: var(--turquoise); text-decoration: underline; font-style: normal; }
a.trq-udl:hover { color: var(--turquoise); text-decoration: underline; font-style: normal; }

a.itl:link { color: gray; text-decoration: none; font-style: italic; }
a.itl:visited { color: gray; text-decoration: none; font-style: italic; }
a.itl:active { color: gray; text-decoration: none; font-style: italic; }
a.itl:hover { color: darkgray; text-decoration: none; font-style: italic; }

a.itl-udl:link { color: gray; text-decoration: underline; font-style: italic; }
a.itl-udl:visited { color: gray; text-decoration: underline; font-style: italic; }
a.itl-udl:active { color: gray; text-decoration: underline; font-style: italic; }
a.itl-udl:hover { color: darkgray; text-decoration: underline; font-style: italic; }

a.udl:link { color: gray; text-decoration: underline; font-style: normal; }
a.udl:visited { color: gray; text-decoration: underline; font-style: normal; }
a.udl:active { color: gray; text-decoration: underline; font-style: normal; }
a.udl:hover { color: darkgray; text-decoration: underline; font-style: normal; }

a.list:link { color: gray; text-decoration: none; font-style: normal; }
a.list:visited { color: gray; text-decoration: underline; font-style: normal; }
a.list:active { color: gray; text-decoration: underline; font-style: normal; }
a.list:hover { color: darkgray; text-decoration: underline; font-style: normal; }

a {color: gray; text-decoration: none; }
a:link {color: gray; text-decoration: underline; }
a:visited {color: gray; text-decoration: underline; }
a:active {color: gray; text-decoration: underline; }
a:hover {color: darkgray; text-decoration: underline; }

/*  Reference: https://codepen.io/mattcouchman/pen/azxYgJ   */
.tip {
    position: absolute;
    left: -9999px;
    box-sizing: border-box;
    opacity: 0;
    padding: 5px 10px;
    margin: -5px 0 0 10px;
    border: 0px solid #333;
    border-radius: 2px;
    background: #fff;
    transition: all linear .2s;
    box-shadow: 0 0 5px #999;
    font-size: 8pt;
    color: #999;
&:after {
     content: "";
     position: absolute;
     top: 50%;
     left: -6px;
     margin-top: -6px;
     border-style: solid;
     border-width: 6px 6px 6px 0;
     border-color: transparent #333;
     display: block;
     width: 0;
     z-index: 1;
 }
&.active {
     left: auto;
     opacity: 1;
 }
}


